<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="w3.css">
    <title>Document</title>
</head>

<body>

    <div class="w3-container">
        <p>
            <br>
        </p>

        <table class="w3-table w3-bordered w3-striped">
            <thead>
                <tr class="w3-green">
                    <th>id</th>
                    <th>firstname</th>
                    <th>lastname</th>
                    <th>salary</th>
                </tr>
            </thead>
            <tbody id="mydata">
                <tr>
                    <td>[[id]]</td>
                    <td>[[firstname]]</td>
                    <td>[[lastname]]</td>
                    <td>[[salary]]</td>
                </tr>
            </tbody>

        </table>

    </div>

    <script src="jquery.min.js"></script>
    <script src="jquery.miranda.min.js"></script>

    <script>
        let peopleSalary = [{
                "id": 1001,
                "firstname": "Like",
                "lastname": "Skywalker",
                "company": "Walt Disney",
                "salary": 40000
            },
            {
                "id": 1002,
                "firstname": "Tony",
                "lastname": "Stark",
                "company": "Marvel",
                "salary": 1000000
            },
            {
                "id": 1003,
                "firstname": "Somchai",
                "lastname": "Jaidee",
                "company": "Love2work",
                "salary": 20000
            },
            {
                "id": 1004,
                "firstname": "Monkey D",
                "lastname": "Luffee",
                "company": "One Piece",
                "salary": 9000000
            }

            
        ]
        $("#mydata").mirandajs(peopleSalary);
    </script>

</body>

</html>